/*Montserrat font from file*/
@font-face {
    font-family: "Montserrat";
    font-style: normal;
    font-weight: 100, 200, 300, 400, 500, 600, 700, 800, 900;
    src: url(../Montserrat/Montserrat-VariableFont_wght.ttf) format("truetype");
}

* {
    font-family: 'Montserrat', sans-serif;
}

/*global*/

body {
    background-color: #B3CCC9;
}


:root {

    /* --correct: #96eb96; */
    --incorrect: #eba996;
    --correct: #98D7C2;





    --mainBlue: lightblue;
    /* --accentBlue: #54c3e7; */
    --active: navajowhite;
    --selection: coral;
    --warning: #f94300;
    --accentPurple: lavender;

    --backgroundBlue: #d4e2e6;
    --backgroundGray: #e4e7e4;
    --accentBlue: #274e74;

    --backgroundBlank: #f6f8f9;

    --rangeEnds: rgb(54 103 175);

    --cancel: #bf5151;
    --action: #f1875f;

    /* generic colors for timelines, etc */
    --color-1: orange;
    --color-2: rgb(76, 140, 235);
    --color-3: rgb(32, 179, 98);
    --color-4: rgb(212, 64, 64);
    --color-5: yellow;
    --color-6: rgb(159, 82, 214);
    --color-7: violet;
    --color-8: lightgreen;
    --color-9: lightblue;
    --color-10: lightyellow;
    --color-11: rgba(230, 90, 55, 0.925);
    --color-12: rgb(240, 192, 36);
    --color-13: rgb(233, 121, 183);
    --color-14: rgb(21, 218, 21);
    --color-15: rgb(7, 7, 243);

    --bkgImg: '/img/palms.jpg'
}

.inactive {
    visibility: hidden;
}

.hidden {
    display: none;
}

.flex {
    display: flex;
}

.block {
    display: block;
}

.invalid {
    border: 3px solid yellow;
}

.bold {
    font-weight: 700;
}

h1 {
    margin: 78px auto 20px auto;
    width: 300px;
    text-align: center;
}

button {
    border: 2px solid black;
    cursor: pointer;
    width: 150px;
    height: 40px;
    margin: 10px;
    justify-content: center;
    align-items: center;
    background-color: #E9E9E9;
    border-radius: 20px;
}

a:link {
    color: #212223;
}

a:visited {
    color: #212223;
}

a:hover {
    color: #399375;
}

a:active {
    color: #399375;
}

.flash {
    margin: 20px 0px;
    /* padding: 10px; */
    font-weight: 600;
    font-size: 1.2rem;
}

#flash-success {
    text-align: center;
    background-color: lightgreen;

}

#flash-error {
    text-align: center;
    background-color: coral;
}


.toggle-check {
    height: 34px;
    pointer-events: none;
}

#modal {
    background-color: rgba(0, 0, 0, 0.7);
    width: 100%;
    height: 100%;
    z-index: 7;
    position: fixed;
    top: 0;
    left: 0;
    /* background-color: white; */
    /* display: flex; */
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.modal-box {
    background-color: whitesmoke;
    width: 300px;
    margin: 0 auto;
    padding: 10px;
    text-align: center;
    border: 9px solid lightblue;
    font-size: 1.1rem;
    font-weight: 600;
}

#modal-text {
    margin: 7px;
}

.modal-box button {
    margin: 5px 0px;
    font-weight: 500;
    font-size: 1rem;
}

input {
    background-color: #d9e3de;
    border: 2px solid black;
}

textarea {
    background-color: #d9e3de;
    border: 2px solid black;
}

/*end global*/


/*animations*/

@keyframes fadeout {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

.fadeout {
    animation-name: fadeout;
    animation-duration: 3s;
}

/*end animations*/


/*HEADER/NAVBAR*/

header {
    margin: 15px 0px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    /*adding fixed position*/
    z-index: 1;
    width: 94%;
    top: 0;
    position: fixed;
    background: rgba(255, 255, 255, 80%);
}

#logo {
    /* height: 44px; */
    width: 200px;
    width: 175px;
    position: absolute;
    top: -10px;
}

#burger {
    max-width: 39px;
    max-height: 39px;
    position: relative;
    right: 20px;
}

#menu {
    position: absolute;
    top: 48px;
    right: 20px;
    width: 200px;
    /* border: 2px solid black; */
    /* border-bottom: 2px solid black;
    border-left: 2px solid black;
    border-right: 2px solid black;
    background: rgba(255, 255, 255, 80%); */
    background: rgba(0, 0, 0, 70%);
    color: white;
}

#menu a {
    text-align: center;
    display: block;
    font-variant: small-caps;
    font-size: 1.3rem;
    font-weight: 500;
    color: white;
    text-decoration: none;
    padding: 10px 0px;

}

#menu a:hover {
    background-color: rgba(255, 255, 255, 80%);
    /* background-color: white; */
    color: rgba(0, 0, 0, 70%);
}

/*END HEADER/NAVBAR*/

/*login*/

#login-logo {
    width: 250px;
    margin: 50px auto;
    display: block;
    position: relative;
    top: 50px;
}

#login {
    width: 320px;
    margin: 10px auto;
}

#login form {
    width: 320px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10px auto;
    font-size: 1.2rem;
}

#login form label {
    margin-top: 3px;
}

#login form input {
    font-size: 1.1rem;
}

#login form #email {
    width: 247px;
}

#login form button {
    font-size: 1.2rem;
}

#login a {
    display: block;
    width: 320px;
    font-size: 1.2rem;
    margin: 10px auto;
    text-align: center;
}

/*end login*/


/*addcards*/

#custom-upload {
    border: 2px solid black;
    /* display: flex; */
    cursor: pointer;
    width: 150px;
    height: 40px;
    margin: 10px;
    justify-content: center;
    align-items: center;
    background-color: #cfc3b7;
    border-radius: 20px;
}

.subjs {
    display: block;
}


.success-check {
    /* width: 80px;
    height: 80px; */
    width: 125px;
    height: 133px;
    /* display: inline-block; */
}


.subject-info {
    width: 240px;
    margin: 7px auto;
    font-size: 1.1rem;
    font-weight: 500;
}

.subject-info input {
    height: 25px;
    font-size: 1.1rem;
    font-weight: 600;
    width: 170px;
}

#upload-form {
    width: 240px;
    margin: 7px auto;
    font-size: 1.1rem;
    font-weight: 500;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#upload-form button {
    font-size: 1.1rem;
    font-weight: 600;
}

.file-boxes {
    text-align: center;
}

#success {
    width: 300px;
    margin: 10px auto;
    text-align: center;
    background-color: #4fbd98;
    padding: 7px;
    color: #21363D;
    font-weight: 600;
}

#instructions {
    width: 300px;
    margin: 20px auto;
    font-size: 1.1rem;
}

/*end addcards*/


/*cardmode*/

#card-viewer {
    box-shadow: 0 6px 20px rgb(0 0 0 / 1);
    margin: 0 auto;
    overflow: hidden;
    display: flex;
    gap: 5%;
    border-radius: 20px;
    width: 350px;
    height: 200px;
}

.notecard img {
    width: 350px;
    /* height: 200px; */
    height: auto;
}

.front {
    z-index: 1;
    position: relative;
}

.back {
    z-index: 0;
}

.correct {
    background-color: var(--correct);
}

.incorrect {
    background-color: var(--incorrect);
}

#submit-box {
    text-align: center;
    padding: 10px;
    background-color: var(--correct);
    margin: 15px auto;
    font-size: 1.1rem;
    font-weight: 600;
}

#submit-box button {
    font-weight: 500;
    font-size: 1rem;
}


#content-nav {
    width: 300px;
    position: relative;
    bottom: 12px;
    margin: 10px auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#content-nav button {
    padding: 5px;
    font-variant: small-caps;
    font-size: 1rem;
    width: 100px;
}

#toggle-buttons,
#cardflip-buttons,
#back-buttons {
    width: 350px;
    /* position: relative;
    bottom: 12px; */
    margin: 10px auto;
}

#toggle-buttons button,
#cardflip-buttons button,
#back-buttons button {
    padding: 5px;
    /* font-variant: small-caps; */
    font-size: 1rem;
    width: 150px;
}

#cardflip-buttons #flip-button {
    width: 320px;
    background-color: #cfc3b7;
}

#toggle-buttons button img,
#cardflip-buttons button img,
#back-buttons button img {
    height: 28px;
    pointer-events: none;
    vertical-align: middle;
}


#score {
    width: 290px;
    margin: 40px auto;
    background-color: #98D7C2;
    padding: 10px;
    border: 7px solid lightcoral;
}

#score .stat {
    margin: 5px 0px;
    font-size: 1.1rem;
    font-weight: 500;
}

#score #done {
    margin: 16px auto;
    font-size: 1.1rem;
    font-weight: 600;
    display: block;
}


/*NAVDISPLAY DASHES*/

#nav-display {
    width: 300px;
    margin: 0px auto;
    text-align: center;
    font-size: 4rem;
    padding: 0;
    height: 25px;
    position: relative;
    bottom: 25px;
}

.curr {
    color: lightgrey;
}

/*END NAVDISPLAY DASHES*/

/*end cardmode*/


/*user home*/

.section-block {
    width: 300px;
    margin: 0 auto;
    padding: 10px;
    font-size: 1.1rem;
    text-align: center;
}

.section-block h2 {
    text-align: center;
}

.section-block a {
    font-size: 1.3rem;
    /* font-weight: 700; */
    margin-top: 5px;
}

#twentyfive-notdone {
    margin: 10px auto;
}

#twentyfive-notdone a {
    font-weight: 700;
    font-size: 1.3rem;
}

#twentyfive-done {
    border: 2px dashed black;
    background-color: var(--backgroundBlue);
    margin: 15px auto;
    padding: 15px;
}

#twentyfive-done div {
    font-size: 1.3rem;
    font-weight: 600;
}

#twentyfive-done img {
    position: relative;
    bottom: 10px;
}

/*end user home*/


/*add subject*/

#new-subject {
    width: 240px;
    margin: 7px auto;
    font-size: 1.1rem;
    font-weight: 500;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#new-subject label {
    text-align: center;
    font-size: 1.2rem;
    font-weight: 500;
}

#new-subject input {
    height: 25px;
    font-size: 1.1rem;
    font-weight: 600;
    margin-top: 5px;
}

#new-subject button {
    font-size: 1.1rem;
    font-weight: 600;
}

/*end add subject*/




/*cardmode mobile (fullscreen)*/

#fullscreen {
    margin: 0px;
    height: 100%;
    background-color: black;
}

#card-viewer.mobile {
    box-shadow: none;
    border-radius: 0px;
    margin: 0px auto;
    overflow: hidden;
    display: flex;
    gap: 5%;
    width: 100dvw;
    height: 100dvh;
    z-index: 3;
    position: absolute;
    top: 0;
    left: 0;
}

.notecard.mobile {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    left: 5%;
}

.notecard.mobile img {
    width: 90dvw;
    height: 92dvh;
    max-height: 600px;
    object-fit: contain;
}

#cards.mobile {
    margin: 0px;
    height: 100dvh;
    width: 100dvw;
    position: absolute;
    top: 0;
    left: 0;
}


#content-nav.mobile {
    width: 300px;
    position: relative;
    bottom: 12px;
    margin: 10px auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#cards.mobile #prev,
#cards.mobile #next {
    padding: 0px;
    position: absolute;
    background-color: transparent;
    border: none;
    z-index: 4;
}

#cards.mobile #prev {
    left: 0;
    top: 0;
    width: 48dvw;
    height: 95dvh;
}

#cards.mobile #next {
    right: 0;
    top: 0;
    width: 49dvw;
    height: 95dvh;
}


#toggle-buttons.mobile,
#cardflip-buttons.mobile,
#back-buttons.mobile {
    width: auto;
    margin: auto;
}

#toggle-buttons.mobile button,
#cardflip-buttons.mobile button,
#back-buttons.mobile button {
    padding: 5px;
    font-size: 1rem;
    width: 150px;
    position: absolute;
    z-index: 5;
    border: 2px dashed black;
    border-color: #B3CCC9;
    cursor: pointer;
    width: 150px;
    height: 40px;
    margin: 10px 15px;

    background-color: #b3ccc961;
    border-radius: 0px;
    color: #B3CCC9;
}

#toggle-buttons.mobile button.correct,
#cardflip-buttons.mobile button.correct,
#back-buttons.mobile button.correct {
    background-color: var(--correct);
    border-radius: 20px;
}

#toggle-buttons.mobile button.incorrect,
#cardflip-buttons.mobile button.incorrect,
#back-buttons.mobile button.incorrect {
    background-color: var(--incorrect);
    border-color: var(--incorrect);
    border-radius: 20px;
}


#toggle-buttons.mobile #good-button {
    right: 0;
    top: 0;
}

#toggle-buttons.mobile #review-button {
    left: 0;
    top: 0;
}

#cardflip-buttons.mobile #flip-button.mobile {
    /* background-color: #cfc3b7; */
    z-index: 5;
    bottom: 50px;
    left: 49%;
    display: block;
    transform: translate(-50%, 0%);
    max-width: 280px;

    border: 2px dashed black;
    border-color: #B3CCC9;
    cursor: pointer;
    margin: 5px 10px;
    background-color: #b3ccc961;
    border-radius: 0px;
    color: #B3CCC9;
}

#back-buttons.mobile #correct-button {
    right: 0;
    bottom: 0;
}

#back-buttons #incorrect-button {
    bottom: 0;
    left: 0;
}

#progress {
    opacity: 0;
    text-align: center;
    background-color: #8a9795d9;
    color: #ffe200;
    position: relative;
    z-index: 6;
    padding: 7px 10px;
    font-weight: 700;
    font-size: 1.2rem;
    display: none;
}

#fullscreen-box button {
    width: 200px;
    font-weight: 700;
}

#submit-box.mobile {
    text-align: center;
    padding: 5px;
    background-color: var(--correct);
    margin: 0px;
    font-size: 1.1rem;
    font-weight: 600;
    z-index: 7;
    position: absolute;
    top: 0px;
    width: 100%;
    height: 20px;
}

#submit-box #submit-complete.mobile {
    display: inline;
    margin: 0px;
    position: relative;
    bottom: 13px;
}

#submit-box button.mobile {
    font-weight: 500;
    font-size: 1rem;
    display: inline;
    position: relative;
    bottom: 13px;
    height: 25px;
}

#stop-save {
    position: absolute;
    z-index: 5;
    right: 0px;
    top: 49%;
    width: 25px;
    height: 200px;
    word-break: break-all;
    transform: translate(0%, -50%);
    background-color: #cfc3b7;
}

/*end cardmode mobile (fullscreen)*/


/*cardmanager*/

#card-manager .notecard {
    border: 2px solid black;
    padding: 5px;
    border-radius: 20px;
    background-color: #8a9795;
    /* background-color: #bac7c5; */
    margin: 10px auto;
    max-width: 370px;
}

#card-manager .notecard img {
    width: auto;
    max-height: 210px;
    margin: 5px auto;
    position: static;
}

#card-manager .card-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 200px;
    margin: 5px auto;
    font-size: 1.1rem;
    background-color: #cfdbe5;
    padding: 10px;
    border-radius: 20px;
}

#card-manager .card-info .topic {
    font-size: 1.1rem;
    width: 170px;
    margin: 0px auto;
    display: block;
}

#card-manager .card-info button {
    font-size: 1.1rem;
    width: 170px;
    margin: 3px auto;
    /* display: block; */
}

.update-success {
    background-color: var(--correct);
    padding: 5px;
    text-align: center;
    font-size: 1.2rem;
    width: 200px;
    margin: 0px auto;
}

/*end cardmanager*/


/*subject view*/

.card-sets {
    border: 1px solid black;
    padding: 20px;
    margin: 10px auto;
    background-color: #cfdbe5;
}

.card-sets button {
    background-color: #cfc3b7;
    font-size: 1.1rem;
    font-weight: 600;
}

.card-nums {
    display: block;
}

#random-num {
    height: 25px;
    font-size: 1.1rem;
    font-weight: 600;
    width: 170px;
}

/*end subject view*/


/*card builder view*/
.card-text {
    width: 300px;
    display: block;
    margin: 15px auto;
}

.card-text textarea {
    width: 300px;
    height: 200px;
    font-size: 1.2rem;
    padding: 5px;
}

.card-text div {
    font-size: 1rem;
    color: #4b443e;
    text-align: center;
}

.card-text div.warning {
    color: var(--warning);
}

#build-form {
    font-size: 1.1rem;
    font-weight: 500;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#build-form button {
    font-size: 1.1rem;
    font-weight: 600;
    width: 200px;
}

#card-preview {
    width: 300px;
    margin: 10px auto;
    border: 3px solid black;
    padding: 10px;
    background-color: #d9e3de;
}

#card-preview #front-rendering,
#card-preview #back-rendering {
    border: 2px solid black;
    background-color: whitesmoke;
    width: 300px;
    height: 215px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 1.25rem;
}

/*end card builder view*/


/*user acct view*/

.my-subject {
    font-size: 1.3rem;
    margin: 5px auto;
    font-weight: 500;
    border: 2px solid black;
    padding: 5px;
    background-color: #cfdbe5;
}

.confirm-delete {
    height: 25px;
    font-size: 1.1rem;
    font-weight: 600;
    width: 170px;
    text-align: center;
}

.delete-target {
    background-color: var(--incorrect);
}

.delete-form {
    background-color: #cfdbe5;
    padding: 15px 10px;
    border: 2px dashed;
    margin: 5px auto;
}

.delete-form span {
    display: block;
}

.delete-form button {
    font-size: 1.2rem;
    font-weight: 600;
}

.delete-form .delete-btn {
    background-color: var(--incorrect);
}

.delete-form .cancel-btn {
    background-color: rgb(233, 233, 233);
    margin: 0px;
}

/*end user acct view*/


/*about learnstack view*/

#about-desc {
    width: 320px;
    margin: 10px auto;
    font-size: 1.1rem;
}

#about-footer {
    width: 300px;
    margin: 100px auto 0px auto;
    text-align: center;
}

#mtn-drawing {
    width: 300px;
    margin: 10px auto;
    display: block;
}

/*end about learnstack view*/


/*error and 404 views*/

#error-title {
    margin-top: 120px;
}

#error-icon {
    width: 200px;
    height: 200px;
    margin: 0px auto;
    display: block;
}

#error-page {
    width: 320px;
    text-align: center;
    margin: 0px auto;
    font-size: 1.4rem;
    margin-bottom: 100px;
}

#error-page button {
    font-size: 1.3rem;
    padding: 5px;
    width: 200px;
}

#notfound-icon {
    width: 180px;
    height: 420px;
    margin: 0px auto;
    display: block;
}

/*end error and 404 views*/


/*landscape view on phones and abv*/
@media only screen and (min-width: 520px) and (max-width: 650px) {

    /*cardmode mobile (fullscreen)*/

    #progress {
        top: 0px;
        display: block;
    }

    #cardflip-buttons.mobile #flip-button.mobile {
        max-width: 180px;
        bottom: 0px;
        margin: 5px;
    }

    #toggle-buttons.mobile button,
    #cardflip-buttons.mobile button,
    #back-buttons.mobile button {
        margin: 5px 10px;

    }

    /*end cardmode mobile (fullscreen)*/

}



@media only screen and (min-width: 650px) and (max-width: 2000px) {

    /*cardmode mobile (fullscreen)*/

    #progress {
        top: 0px;
        display: block;
    }

    #cardflip-buttons.mobile #flip-button.mobile {
        bottom: 0px;
        margin: 5px;
    }

    #toggle-buttons.mobile button,
    #cardflip-buttons.mobile button,
    #back-buttons.mobile button {
        margin: 5px 10px;

    }

    /*end cardmode mobile (fullscreen)*/

}